<?xml version="1.0"?>
<!DOCTYPE service_bundle
  SYSTEM "/usr/share/lib/xml/dtd/service_bundle.dtd.1">

<service_bundle type='manifest' name='Cego:daemon'>
  <service
    name='application/cego'
    type='service'
    version='1'>
    <create_default_instance enabled='false' />
    <single_instance />

    <exec_method
      type='method'
      name='start'
      exec='/usr/local/cegodb/cgsvc start'
      timeout_seconds='60'>
      <method_context>
        <method_credential user='root' />
      </method_context>
    </exec_method>

    <exec_method
      type='method'
      name='restart'
      exec='/usr/local/cegodb/cgsvc start'
      timeout_seconds='60'>
      <method_context>
        <method_credential user='root' />
      </method_context>
    </exec_method>

    <exec_method
      type='method'
      name='stop'
      exec='/usr/local/cegodb/cgsvc stop'
      timeout_seconds='60' >
      <method_context>
        <method_credential user='root' />
      </method_context>
    </exec_method>

  </service>
</service_bundle>
